Package org.bukkit

# Enum Class DyeColor

java.lang.Object
java.lang.Enum<DyeColor>
org.bukkit.DyeColor

All Implemented Interfaces:
  `Serializable`, `Comparable<DyeColor>`, `Constable`

public enum DyeColor extends Enum<DyeColor>
All supported color values for dyes and cloth

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLACK`
Represents black dye.
`BLUE`
Represents blue dye.
`BROWN`
Represents brown dye.
`CYAN`
Represents cyan dye.
`GRAY`
Represents gray dye.
`GREEN`
Represents green dye.
`LIGHT_BLUE`
Represents light blue dye.
`LIGHT_GRAY`
Represents light gray dye.
`LIME`
Represents lime dye.
`MAGENTA`
Represents magenta dye.
`ORANGE`
Represents orange dye.
`PINK`
Represents pink dye.
`PURPLE`
Represents purple dye.
`RED`
Represents red dye.
`WHITE`
Represents white dye.
`YELLOW`
Represents yellow dye.

## Method Summary

Modifier and Type
Method
Description
`static @Nullable DyeColor`
`getByColor(@NotNull Color color)`
Gets the DyeColor with the given color value.
`static @Nullable DyeColor`
`getByDyeData(byte data)`
Deprecated.
Magic value
`static @Nullable DyeColor`
`getByFireworkColor(@NotNull Color color)`
Gets the DyeColor with the given firework color value.
`static @Nullable DyeColor`
`getByWoolData(byte data)`
Deprecated.
Magic value
`@NotNull Color`
`getColor()`
Gets the color that this dye represents.
`byte`
`getDyeData()`
Deprecated.
Magic value
`@NotNull Color`
`getFireworkColor()`
Gets the firework color that this dye represents.
`byte`
`getWoolData()`
Deprecated.
Magic value
`static @NotNull DyeColor`
`legacyValueOf(@Nullable String name)`
Deprecated.
legacy use only
`static DyeColor`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DyeColor[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WHITE

public static final DyeColor WHITE
Represents white dye.

### ORANGE

public static final DyeColor ORANGE
Represents orange dye.

### MAGENTA

public static final DyeColor MAGENTA
Represents magenta dye.

### LIGHT_BLUE

public static final DyeColor LIGHT_BLUE
Represents light blue dye.

### YELLOW

public static final DyeColor YELLOW
Represents yellow dye.

### LIME

public static final DyeColor LIME
Represents lime dye.

### PINK

public static final DyeColor PINK
Represents pink dye.

### GRAY

public static final DyeColor GRAY
Represents gray dye.

### LIGHT_GRAY

public static final DyeColor LIGHT_GRAY
Represents light gray dye.

### CYAN

public static final DyeColor CYAN
Represents cyan dye.

### PURPLE

public static final DyeColor PURPLE
Represents purple dye.

### BLUE

public static final DyeColor BLUE
Represents blue dye.

### BROWN

public static final DyeColor BROWN
Represents brown dye.

### GREEN

public static final DyeColor GREEN
Represents green dye.

### RED

public static final DyeColor RED
Represents red dye.

### BLACK

public static final DyeColor BLACK
Represents black dye.

## Method Details

### values

public static DyeColor[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DyeColor valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getWoolData

@Deprecated public byte getWoolData()
Deprecated.
Magic value
Gets the associated wool data value representing this color.

Returns:
  A byte containing the wool data value of this color
See Also:
  - `getDyeData()`

### getDyeData

@Deprecated public byte getDyeData()
Deprecated.
Magic value
Gets the associated dye data value representing this color.

Returns:
  A byte containing the dye data value of this color
See Also:
  - `getWoolData()`

### getColor

@NotNull public @NotNull Color getColor()
Gets the color that this dye represents.

Returns:
  The `Color` that this dye represents

### getFireworkColor

@NotNull public @NotNull Color getFireworkColor()
Gets the firework color that this dye represents.

Returns:
  The `Color` that this dye represents

### getByWoolData

@Deprecated @Nullable public static @Nullable DyeColor getByWoolData(byte data)
Deprecated.
Magic value
Gets the DyeColor with the given wool data value.

Parameters:
  `data` - Wool data value to fetch
Returns:
  The `DyeColor` representing the given value, or null if it doesn't exist
See Also:
  - `getByDyeData(byte)`

### getByDyeData

@Deprecated @Nullable public static @Nullable DyeColor getByDyeData(byte data)
Deprecated.
Magic value
Gets the DyeColor with the given dye data value.

Parameters:
  `data` - Dye data value to fetch
Returns:
  The `DyeColor` representing the given value, or null if it doesn't exist
See Also:
  - `getByWoolData(byte)`

### getByColor

@Nullable public static @Nullable DyeColor getByColor(@NotNull @NotNull Color color)
Gets the DyeColor with the given color value.

Parameters:
  `color` - Color value to get the dye by
Returns:
  The `DyeColor` representing the given value, or null if it doesn't exist

### getByFireworkColor

@Nullable public static @Nullable DyeColor getByFireworkColor(@NotNull @NotNull Color color)
Gets the DyeColor with the given firework color value.

Parameters:
  `color` - Color value to get dye by
Returns:
  The `DyeColor` representing the given value, or null if it doesn't exist

### legacyValueOf

@Deprecated @NotNull public static @NotNull DyeColor legacyValueOf(@Nullable @Nullable String name)
Deprecated.
legacy use only
Gets the DyeColor for the given name, possibly doing legacy transformations.

Parameters:
  `name` - dye name
Returns:
  dye color